Skip to content

Agreement Configuration

During agreement configuration API invocation, different results are returned based on the configuration. A normal successful call returns agreement configuration information; if no agreement is configured, an empty array is returned.

Request Description

Request Headers

Parameter NameNameRequiredTypeDescription
X-operating-sys-versionCaller client operating system versionNoStringwindows10.1.1
X-device-fingerprintCaller client device fingerprintNoString156aysdna213sc50
X-device-ipCaller client IPNoString192.168.1.2
X-agentUser-Agent informationNoStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X)
X-LUsed for internationalization language settingNoStringzh
X-client-idApplication authorization IDNoStringnTo1eRIub60vPb54WeE6aojPwYwImtl4
content-typeContent format typeYesStringapplication/json

Response Example

Success Example

HTTP/1.1 200 OK

json
{
    "code": "0",
    "data": [
        {
            "id": "20231213172230071-656B-DC5398451",
            "text": {
                "en": {
                    "context": "I have read and agree to the {20231214153403735-0EB3-72CE8BDC0} and {20231214153403729-2452-986A407AA}",
                    "agreements": [
                        {
                            "id": "20231214153403735-0EB3-72CE8BDC0",
                            "name": "23",
                            "type": "URL",
                            "context": "https://XXX"
                        },
                        {
                            "id": "20231214153403729-2452-986A407AA",
                            "name": "12",
                            "type": "URL",
                            "context": "https://XXX"
                        }
                    ]
                },
                "zh": {
                    "context": "I have read and agree to the {20231214153403717-76A1-31234B44F} and {20231214153403713-DA60-2201131A6}",
                    "agreements": [
                        {
                            "id": "20231214153403717-76A1-31234B44F",
                            "name": "2",
                            "type": "URL",
                            "context": "https://XXX"
                        },
                        {
                            "id": "20231214153403713-DA60-2201131A6",
                            "name": "1",
                            "type": "URL",
                            "context": "https://XXX"
                        }
                    ]
                }
            }
        }
    ],
    "message": null
}

Error Example

json
None

Response Parameters

data is the agreement configuration list. List field descriptions:

Parameter NameNameType
idAgreement configuration IDString
textAgreement body in the configurationObject
text.contextContent in the agreement bodyString
text.agreementsAgreements in the agreement bodyObject
text.agreements.idAgreement IDString
text.agreements.nameAgreement nameString
text.agreements.typeAgreement typeString
text.agreements.contextContent corresponding to the agreement typeString

Error Codes

Status CodeError CodeError MessageRemediation
400IDAAS.SDK.PARAM.0001Device information is incompletePlease check whether the entered device information is complete

BambooCloud IDaaS Open Platform